esl-seqrange(1)

NAME
esl-seqrange - determine a range of sequences for one of many parallel processes

SYNOPSIS
esl-sfetch [options] seqfile procidx nproc

DESCRIPTION

esl-seqrange reads an SSI-indexed seqfile and determines the range of sequence indices in that file that process number procidx out of nproc total processes should operate on during a parallel processing of seqfile.

The seqfile must be indexed first using esl-sfetch --index seqfile. This creates an SSI index file seqfile.ssi. An SSI file is required in order for esl-seqrange to work.

Sequence index ranges are calculated using a simple rule: the number of sequences for each process should be identical, or as close as possible to identical, across all processes. The lengths of the sequences are not considered (even though they probably should be).

OPTIONS

-h  Print brief help; includes version number and summary of all options, including expert options.

--informat <s>
    Assert that input seqfile is in format <s>, bypassing format autodetection. Common choices for <s> include: fasta, embl, genbank. Alignment formats also work; common choices include: stockholm, a2m, afa, psiblast, clustal, phylip. For more information, and for codes for some less common formats, see main documentation. The string <s> is case-insensitive (fasta or FASTA both work).

SEE ALSO
http://bioeasel.org/

COPYRIGHT
Copyright (C) 2020 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.

AUTHOR
http://eddylab.org